Subject: Re: vim-gtk3: Unreadable font since update to gtk3

From: Mark Hindley <[email-masked]>
Date: Tue, 28 Apr 2020 10:16:39 +0100

On Mon, Apr 27, 2020 at 05:18:09PM +0100, Klaus Ethgen wrote:
> Hi Mark,
> 
> Am Mo den 27. Apr 2020 um 16:41 schrieb Mark Hindley:
> > What does your .vimrc contain? In partcular do you have settings for guifont
> > and/or guifontwide?
> 
> Good point. I have such a part since ages in my .vimrc and even don't
> know the original reason:
> ```
> set gcr+=a:blinkon0
> set gfn=9x13
> set guioptions=agimlTf
> set guifont=Courier\ 10\ Pitch\ 10
> ```
> 
> > If you do, does removing them and using the default fix it?
> 
> Removing the second and forth setting helps indeed.

Good. I will close this report as a configuration error.

Feel free to reopen if you are not happy with that.

> I am not sure  why that made problems with GTK3 and did not with GTK2.

No, nor me. Since neither vim not gtk2/3 is forked in Devuan, if you really
think that is a bug you would be better raising it on Debian's BTS.

Thanks

Mark